      SUBROUTINE FSINGEN(N,R,I,SR,SI)                                           
      REAL*4 R(N),I(N),PI,SR(N),SI(N)                                           
      INTEGER*4 N                                                               
      DATA PI/3.141592653589793/                                                
C                                                                               
      DELTAX=8.0*PI/FLOAT(N)                                                    
      DO 100 K=1,N                                                              
          R(K)=COS(FLOAT(K-1)*DELTAX)                                           
          I(K)=SIN(FLOAT(K-1)*DELTAX)                                           
          SR(K)=R(K)                                                            
          SI(K)=I(K)                                                            
100   CONTINUE                                                                  
      RETURN                                                                    
      END                                                                       
